% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sandbox-package.R
\docType{data}
\name{sample}
\alias{sample}
\title{Example Grain Size Data}
\format{
The format is: 'data.frame':	1000 obs. of  12 variables:
$ ID               : int  33107 33108 33109 33110 33111 33112 ...
$ depth            : num  5 5 5 5 5 ...
$ population       : num  3 1 3 2 1 3 1 3 3 3 ...
$ age              : num  25711 25710 25712 25709 25710 ...
$ dose_rate        : num  7.163 -1.083 -0.929 3.541 5.732 ...
$ water_content    : num  13.29 10.99 3.65 8.98 3.29 ...
$ population       : num  0.3 0.586 0.3 0.114 0.586 ...
$ grainsize        : num  4.01 6.22 5.16 5.47 5.57 ...
$ density          : num  1.92 1.91 1.9 1.88 1.9 ...
$ packing          : num  0.708 0.702 0.698 0.702 0.688 ...
$ photon_equivalent: num  1.017 0.993 1.005 1 0.995 ...
$ predose          : num  2020 3106 1983 191 2387 ...
}
\description{
Example data set of a virtual loess-like sample.
}
\details{
The sample was created using the rule book book_1, a depth of 5 m and
a cuboid sample geometry with 2 mm edge length.
}
\examples{

## load example data set
data(sample, envir = environment())

## plot grain-size distribution
plot(density(sample$grainsize))

}
\keyword{datasets}
